summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2021-03-16 16:39:04 +0100
committerLars Wendler <polynomial-c@gentoo.org>2021-03-16 16:47:43 +0100
commit068c5c161ddc063253e8f827c40a4ceace5fa3f5 (patch)
tree7081c6fd4bb4f799d7153b36e6e589688c2efee7 /app-admin/integrit
parentnet-irc/ircii: remove outdated blocker (diff)
downloadgentoo-068c5c161ddc063253e8f827c40a4ceace5fa3f5.tar.gz
gentoo-068c5c161ddc063253e8f827c40a4ceace5fa3f5.tar.bz2
gentoo-068c5c161ddc063253e8f827c40a4ceace5fa3f5.zip
app-admin/integrit: Bump to version 4.2_rc1.
Fixed build with >=sys-devel/autoconf-2.70 Closes: https://bugs.gentoo.org/775746 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'app-admin/integrit')
-rw-r--r--app-admin/integrit/Manifest1
-rw-r--r--app-admin/integrit/integrit-4.2_rc1.ebuild70
2 files changed, 71 insertions, 0 deletions
diff --git a/app-admin/integrit/Manifest b/app-admin/integrit/Manifest
index 8b0ee8e154f..714f653f755 100644
--- a/app-admin/integrit/Manifest
+++ b/app-admin/integrit/Manifest
@@ -1 +1,2 @@
DIST integrit-4.1.tar.gz 271626 BLAKE2B 538a34c8e5c00e1be66ba35095be4d61402372ea7fd9ba9bfff9149c9a82c43d625ffb345fe84b7561100b31f2a2a1ba319e8b9a7d2b78e44a81d1ed6ae64f3a SHA512 599ae66a193fd87971994f59422e148e1ae01a5ff0fea93a0f2555c972f5254f0213116950766e72c87a57b1bd490f04afd3e0557d25a366c41dbbacc80b6842
+DIST integrit-4.2_rc1.tar.gz 223627 BLAKE2B ff0dead8a8903dba0f43c7746672ca2d57aced352df2fef7b195fc90e9b38e77bb21affb40c424c5d23df7dcecf3192c1bff5c7c04d3fcbc5dad0dae60565f93 SHA512 2a86a37c684ca0b78bbf7901c8e72511f1169e8af7e9b4efdeadbade52e8fc7302167f6d82bd02b5af9688a05d13fc56d4f5474e3e04d1aef3dd9f72d782d739
diff --git a/app-admin/integrit/integrit-4.2_rc1.ebuild b/app-admin/integrit/integrit-4.2_rc1.ebuild
new file mode 100644
index 00000000000..5e4745ea5ca
--- /dev/null
+++ b/app-admin/integrit/integrit-4.2_rc1.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+MY_PV="${PV/_/-}"
+
+DESCRIPTION="file integrity verification program"
+HOMEPAGE="http://integrit.sourceforge.net/"
+SRC_URI="https://github.com/integrit/integrit/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+# Tests don't work in 4.2_rc1. Please re-check on version bump!
+RESTRICT="test"
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+PATCHES=( "${FILESDIR}"/${PN}-4.1-fix-build-system.patch )
+
+src_prepare() {
+ default
+ mv configure.{in,ac} || die
+ mv hashtbl/configure.{in,ac} || die
+
+ eautoreconf
+ touch ar-lib || die #775746
+}
+
+src_compile() {
+ emake
+ emake utils
+
+ emake -C doc
+ emake -C hashtbl hashtest
+}
+
+src_install() {
+ dosbin integrit
+ dolib.a libintegrit.a
+ dodoc Changes HACKING README todo.txt
+
+ # utils
+ dosbin utils/i-viewdb
+ dobin utils/i-ls
+
+ # hashtbl
+ dolib.a hashtbl/libhashtbl.a
+ doheader hashtbl/hashtbl.h
+ dobin hashtbl/hashtest
+ newdoc hashtbl/README README.hashtbl
+
+ # doc
+ doman doc/{i-ls.1,i-viewdb.1,integrit.1}
+ doinfo doc/integrit.info
+
+ # examples
+ dodoc -r examples
+}
+
+pkg_postinst() {
+ elog "It is recommended that the integrit binary is copied to a secure"
+ elog "location and re-copied at runtime or run from a secure medium."
+ elog "You should also create a configuration file (see examples)."
+}